org.apache.maven.scm.command.export

## Class ExportScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.export.ExportScmResult

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ExportScmResultWithRevision

    public class ExportScmResult
    extends ScmResult

Version:
  $Id: ExportScmResult.java 520441 2007-03-20 15:48:14Z evenisse $
Author:
  Emmanuel Venisse
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ExportScmResult(String commandLine, List updatedFiles)`
`ExportScmResult(String commandLine, String providerMessage, String commandOutput, boolean success)`

### Method Summary

Methods
`List` `getExportedFiles()`

### Methods inherited from class org.apache.maven.scm.ScmResult

`getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExportScmResult

    public ExportScmResult(String commandLine,
                   String providerMessage,
                   String commandOutput,
                   boolean success)

#### ExportScmResult

    public ExportScmResult(String commandLine,
                   List updatedFiles)

### Method Detail

#### getExportedFiles

    public List getExportedFiles()